Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_plume_6A.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_plume_6A.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_plume_6A.f90	(revision 5117)
@@ -25,74 +25,74 @@
     IMPLICIT NONE
 
-    integer, intent(in) :: itap, lev_out, lunout1, igout, ngrid, nlay
-    real, intent(in) :: ptimestep
-    real, intent(in), dimension(ngrid, nlay) :: ztv
-    real, intent(in), dimension(ngrid, nlay) :: zthl
-    real, intent(in), dimension(ngrid, nlay) :: po
-    real, intent(in), dimension(ngrid, nlay) :: zl
-    real, intent(in), dimension(ngrid, nlay) :: rhobarz
-    real, intent(in), dimension(ngrid, nlay + 1) :: zlev
-    real, intent(in), dimension(ngrid, nlay + 1) :: pplev
-    real, intent(in), dimension(ngrid, nlay) :: pphi
-    real, intent(in), dimension(ngrid, nlay) :: zpspsk
-    real, intent(in), dimension(ngrid) :: f0
-
-    integer, intent(out) :: lalim(ngrid)
-    real, intent(out), dimension(ngrid, nlay) :: alim_star
-    real, intent(out), dimension(ngrid) :: alim_star_tot
-    real, intent(out), dimension(ngrid, nlay) :: detr_star
-    real, intent(out), dimension(ngrid, nlay) :: entr_star
-    real, intent(out), dimension(ngrid, nlay + 1) :: f_star
-    real, intent(out), dimension(ngrid, nlay) :: csc
-    real, intent(out), dimension(ngrid, nlay) :: ztva
-    real, intent(out), dimension(ngrid, nlay) :: ztla
-    real, intent(out), dimension(ngrid, nlay) :: zqla
-    real, intent(out), dimension(ngrid, nlay) :: zqta
-    real, intent(out), dimension(ngrid, nlay) :: zha
-    real, intent(out), dimension(ngrid, nlay + 1) :: zw2
-    real, intent(out), dimension(ngrid, nlay + 1) :: w_est
-    real, intent(out), dimension(ngrid, nlay) :: ztva_est
-    real, intent(out), dimension(ngrid, nlay) :: zqsatth
-    integer, intent(out), dimension(ngrid) :: lmix
-    integer, intent(out), dimension(ngrid) :: lmix_bis
-    real, intent(out), dimension(ngrid) :: linter
+    INTEGER, INTENT(IN) :: itap, lev_out, lunout1, igout, ngrid, nlay
+    REAL, INTENT(IN) :: ptimestep
+    REAL, INTENT(IN), DIMENSION(ngrid, nlay) :: ztv
+    REAL, INTENT(IN), DIMENSION(ngrid, nlay) :: zthl
+    REAL, INTENT(IN), DIMENSION(ngrid, nlay) :: po
+    REAL, INTENT(IN), DIMENSION(ngrid, nlay) :: zl
+    REAL, INTENT(IN), DIMENSION(ngrid, nlay) :: rhobarz
+    REAL, INTENT(IN), DIMENSION(ngrid, nlay + 1) :: zlev
+    REAL, INTENT(IN), DIMENSION(ngrid, nlay + 1) :: pplev
+    REAL, INTENT(IN), DIMENSION(ngrid, nlay) :: pphi
+    REAL, INTENT(IN), DIMENSION(ngrid, nlay) :: zpspsk
+    REAL, INTENT(IN), DIMENSION(ngrid) :: f0
+
+    INTEGER, INTENT(OUT) :: lalim(ngrid)
+    REAL, INTENT(OUT), DIMENSION(ngrid, nlay) :: alim_star
+    REAL, INTENT(OUT), DIMENSION(ngrid) :: alim_star_tot
+    REAL, INTENT(OUT), DIMENSION(ngrid, nlay) :: detr_star
+    REAL, INTENT(OUT), DIMENSION(ngrid, nlay) :: entr_star
+    REAL, INTENT(OUT), DIMENSION(ngrid, nlay + 1) :: f_star
+    REAL, INTENT(OUT), DIMENSION(ngrid, nlay) :: csc
+    REAL, INTENT(OUT), DIMENSION(ngrid, nlay) :: ztva
+    REAL, INTENT(OUT), DIMENSION(ngrid, nlay) :: ztla
+    REAL, INTENT(OUT), DIMENSION(ngrid, nlay) :: zqla
+    REAL, INTENT(OUT), DIMENSION(ngrid, nlay) :: zqta
+    REAL, INTENT(OUT), DIMENSION(ngrid, nlay) :: zha
+    REAL, INTENT(OUT), DIMENSION(ngrid, nlay + 1) :: zw2
+    REAL, INTENT(OUT), DIMENSION(ngrid, nlay + 1) :: w_est
+    REAL, INTENT(OUT), DIMENSION(ngrid, nlay) :: ztva_est
+    REAL, INTENT(OUT), DIMENSION(ngrid, nlay) :: zqsatth
+    INTEGER, INTENT(OUT), DIMENSION(ngrid) :: lmix
+    INTEGER, INTENT(OUT), DIMENSION(ngrid) :: lmix_bis
+    REAL, INTENT(OUT), DIMENSION(ngrid) :: linter
 
     REAL zdw2, zdw2bis
     REAL zw2modif
     REAL zw2fact, zw2factbis
-    REAL, dimension(ngrid, nlay) :: zeps
-
-    REAL, dimension(ngrid) :: wmaxa
+    REAL, DIMENSION(ngrid, nlay) :: zeps
+
+    REAL, DIMENSION(ngrid) :: wmaxa
 
     INTEGER ig, l, k, lt, it, lm
-    integer nbpb
-
-    real, dimension(ngrid, nlay) :: detr
-    real, dimension(ngrid, nlay) :: entr
-    real, dimension(ngrid, nlay + 1) :: wa_moy
-    real, dimension(ngrid, nlay) :: ztv_est
-    real, dimension(ngrid) :: ztemp, zqsat
-    real, dimension(ngrid, nlay) :: zqla_est
-    real, dimension(ngrid, nlay) :: zta_est
-
-    real, dimension(ngrid, nlay) :: zbuoy, gamma, zdqt
-    real zdz, zalpha, zw2m
-    real, dimension(ngrid, nlay) :: zbuoyjam, zdqtjam
-    real zbuoybis, zdz2, zdz3, lmel, entrbis, zdzbis
-    real, dimension(ngrid) :: d_temp
-    real ztv1, ztv2, factinv, zinv, zlmel
-    real zlmelup, zlmeldwn, zlt, zltdwn, zltup
-    real atv1, atv2, btv1, btv2
-    real ztv_est1, ztv_est2
-    real zcor, zdelta, zcvm5, qlbef
-    real zbetalpha, coefzlmel
-    real eps
-    logical Zsat
-    LOGICAL, dimension(ngrid) :: active, activetmp
+    INTEGER nbpb
+
+    REAL, DIMENSION(ngrid, nlay) :: detr
+    REAL, DIMENSION(ngrid, nlay) :: entr
+    REAL, DIMENSION(ngrid, nlay + 1) :: wa_moy
+    REAL, DIMENSION(ngrid, nlay) :: ztv_est
+    REAL, DIMENSION(ngrid) :: ztemp, zqsat
+    REAL, DIMENSION(ngrid, nlay) :: zqla_est
+    REAL, DIMENSION(ngrid, nlay) :: zta_est
+
+    REAL, DIMENSION(ngrid, nlay) :: zbuoy, gamma, zdqt
+    REAL zdz, zalpha, zw2m
+    REAL, DIMENSION(ngrid, nlay) :: zbuoyjam, zdqtjam
+    REAL zbuoybis, zdz2, zdz3, lmel, entrbis, zdzbis
+    REAL, DIMENSION(ngrid) :: d_temp
+    REAL ztv1, ztv2, factinv, zinv, zlmel
+    REAL zlmelup, zlmeldwn, zlt, zltdwn, zltup
+    REAL atv1, atv2, btv1, btv2
+    REAL ztv_est1, ztv_est2
+    REAL zcor, zdelta, zcvm5, qlbef
+    REAL zbetalpha, coefzlmel
+    REAL eps
+    LOGICAL Zsat
+    LOGICAL, DIMENSION(ngrid) :: active, activetmp
     REAL fact_gamma, fact_gamma2, fact_epsilon2
     REAL coefc
-    REAL, dimension(ngrid, nlay) :: c2
-
-    if (ngrid==1) PRINT*, 'THERMCELL PLUME MODIFIE 2014/07/11'
+    REAL, DIMENSION(ngrid, nlay) :: c2
+
+    IF (ngrid==1) PRINT*, 'THERMCELL PLUME MODIFIE 2014/07/11'
     Zsat = .FALSE.
     ! Initialisation
@@ -102,5 +102,5 @@
 
     ! Initialisations des variables r?elles
-    if (1==1) THEN
+    IF (1==1) THEN
       ztva(:, :) = ztv(:, :)
       ztva_est(:, :) = ztva(:, :)
@@ -173,5 +173,5 @@
       ! Le panache va prendre au debut les caracteristiques de l'air contenu
       ! dans cette couche.
-      if (active(ig)) THEN
+      IF (active(ig)) THEN
         ztla(ig, 1) = zthl(ig, 1)
         zqta(ig, 1) = po(ig, 1)
@@ -197,6 +197,6 @@
       do ig = 1, ngrid
         active(ig) = active(ig) &
-                &                 .and. zw2(ig, l)>1.e-10 &
-                &                 .and. f_star(ig, l) + alim_star(ig, l)>1.e-10
+                &                 .AND. zw2(ig, l)>1.e-10 &
+                &                 .AND. f_star(ig, l) + alim_star(ig, l)>1.e-10
       enddo
 
@@ -247,5 +247,5 @@
 
           !--------------------------------------------------
-          if (iflag_thermals_ed<8) THEN
+          IF (iflag_thermals_ed<8) THEN
             !--------------------------------------------------
             !AJ052014: J'ai remplac?? la boucle do par un do while
@@ -284,5 +284,5 @@
             ztv2 = atv2 * zlt + btv2
 
-            if (ztv(ig, lt)>ztv1.and.ztv(ig, lt)<ztv2) THEN
+            IF (ztv(ig, lt)>ztv1.AND.ztv(ig, lt)<ztv2) THEN
               !--------------------------------------------------
               !AJ052014: D??calage de zinv qui est entre le haut
@@ -292,5 +292,5 @@
               zinv = zltdwn + zdz3 * factinv
 
-              if (zlmeldwn>=zinv) THEN
+              IF (zlmeldwn>=zinv) THEN
                 ztv_est(ig, l) = atv2 * zlmel + btv2
                 zbuoyjam(ig, l) = fact_shell * RG * (ztva_est(ig, l) - ztv_est(ig, l)) / ztv_est(ig, l) &
@@ -311,6 +311,6 @@
               endif
 
-            else ! if (ztv(ig,lt).gt.ztv1.and.ztv(ig,lt).lt.ztv2) THEN
-              if (zlmeldwn>zltdwn) THEN
+            else ! if (ztv(ig,lt).gt.ztv1.AND.ztv(ig,lt).lt.ztv2) THEN
+              IF (zlmeldwn>zltdwn) THEN
                 zbuoyjam(ig, l) = fact_shell * RG * ((ztva_est(ig, l) - &
                         ztv(ig, lt)) / ztv(ig, lt)) + (1. - fact_shell) * zbuoy(ig, l)
@@ -328,5 +328,5 @@
               !    &          po(ig,lt))/po(ig,lt)+((zdz2-lmel)/zdz3)*(zqta(ig,l-1)- &
               !     &          po(ig,lt-1))/po(ig,lt-1))
-            endif ! if (ztv(ig,lt).gt.ztv1.and.ztv(ig,lt).lt.ztv2) THEN
+            endif ! if (ztv(ig,lt).gt.ztv1.AND.ztv(ig,lt).lt.ztv2) THEN
           else  !   if (iflag_thermals_ed.lt.8) THEN
             lt = l + 1
@@ -373,5 +373,5 @@
           !AJ052014: J'ai remplac? w_est(ig,l) par zw2(ig,l)
           !--------------------------------------------------
-          if (iflag_thermals_ed==8) THEN
+          IF (iflag_thermals_ed==8) THEN
             ! Ancienne version
             !             w_est(ig,l+1)=Max(0.0001,(zdz/zdzbis)*(exp(-zw2fact)* &
@@ -404,5 +404,5 @@
           endif
 
-          if (iflag_thermals_ed<6) THEN
+          IF (iflag_thermals_ed<6) THEN
             zalpha = f0(ig) * f_star(ig, l) / sqrt(w_est(ig, l + 1)) / rhobarz(ig, l)
             !              fact_epsilon=0.0005/(zalpha+0.025)**0.5
@@ -441,5 +441,5 @@
 
       do ig = 1, ngrid
-        if (active(ig)) THEN
+        IF (active(ig)) THEN
           !          zw2m=max(0.5*(w_est(ig,l)+w_est(ig,l+1)),0.1)
           zw2m = w_est(ig, l + 1)
@@ -471,5 +471,5 @@
           !          entrbis=entr_star(ig,l)
 
-          if (iflag_thermals_ed<6) THEN
+          IF (iflag_thermals_ed<6) THEN
             fact_epsilon = 0.0002 / (zalpha + 0.1)
           endif
@@ -508,9 +508,9 @@
           ! En dessous de lalim, on prend le max de alim_star et entr_star pour
           ! alim_star et 0 sinon
-          if (l<lalim(ig)) THEN
+          IF (l<lalim(ig)) THEN
             alim_star(ig, l) = max(alim_star(ig, l), entr_star(ig, l))
             entr_star(ig, l) = 0.
           endif
-          !        if (l.lt.lalim(ig).and.alim_star(ig,l)>alim_star(ig,l-1)) THEN
+          !        if (l.lt.lalim(ig).AND.alim_star(ig,l)>alim_star(ig,l-1)) THEN
           !          alim_star(ig,l)=entrbis
           !        endif
@@ -529,7 +529,7 @@
       !===========================================================================
 
-      activetmp(:) = active(:) .and. f_star(:, l + 1)>1.e-10
-      do ig = 1, ngrid
-        if (activetmp(ig)) THEN
+      activetmp(:) = active(:) .AND. f_star(:, l + 1)>1.e-10
+      do ig = 1, ngrid
+        IF (activetmp(ig)) THEN
           Zsat = .FALSE.
           ztla(ig, l) = (f_star(ig, l) * ztla(ig, l - 1) + &
@@ -546,5 +546,5 @@
       CALL thermcell_qsat(ngrid, activetmp, pplev(:, l), ztemp, zqta(:, l), zqsatth(:, l))
       do ig = 1, ngrid
-        if (activetmp(ig)) THEN
+        IF (activetmp(ig)) THEN
           ! on ecrit de maniere conservative (sat ou non)
           !          T = Tl +Lv/Cp ql
@@ -577,5 +577,5 @@
           !    &                     (zw2(ig,l)-zdw2)+zdw2)+(zdzbis-zdz)/zdzbis* &
           !    &                     (exp(-zw2factbis)*(zw2(ig,l-1)-zdw2bis)+zdw2))
-          if (iflag_thermals_ed==8) THEN
+          IF (iflag_thermals_ed==8) THEN
             zw2(ig, l + 1) = Max(0.0001, exp(-zw2fact) * (zw2(ig, l) - zdw2) + zdw2)
           else
@@ -586,5 +586,5 @@
           !    &                     (exp(-zw2factbis)*(zw2(ig,l-1)-zdw2bis)+zdw2bis))
 
-          if (iflag_thermals_ed<6) THEN
+          IF (iflag_thermals_ed<6) THEN
             zalpha = f0(ig) * f_star(ig, l) / sqrt(zw2(ig, l + 1)) / rhobarz(ig, l)
             !           fact_epsilon=0.0005/(zalpha+0.025)**0.5
@@ -607,5 +607,5 @@
       enddo
 
-      if (prt_level>=20) PRINT*, 'coucou calcul detr 460: ig, l', ig, l
+      IF (prt_level>=20) PRINT*, 'coucou calcul detr 460: ig, l', ig, l
 
       !===========================================================================
@@ -615,5 +615,5 @@
       nbpb = 0
       do ig = 1, ngrid
-        if (zw2(ig, l + 1)>0. .and. zw2(ig, l + 1)<1.e-10) THEN
+        IF (zw2(ig, l + 1)>0. .AND. zw2(ig, l + 1)<1.e-10) THEN
           !               stop 'On tombe sur le cas particulier de thermcell_dry'
           !               PRINT*,'On tombe sur le cas particulier de thermcell_plume'
@@ -623,5 +623,5 @@
         endif
 
-        if (zw2(ig, l + 1)<0.) THEN
+        IF (zw2(ig, l + 1)<0.) THEN
           linter(ig) = (l * (zw2(ig, l + 1) - zw2(ig, l))  &
                   - zw2(ig, l)) / (zw2(ig, l + 1) - zw2(ig, l))
@@ -637,8 +637,8 @@
         wa_moy(ig, l + 1) = sqrt(zw2(ig, l + 1))
 
-        if (wa_moy(ig, l + 1)>wmaxa(ig)) THEN
+        IF (wa_moy(ig, l + 1)>wmaxa(ig)) THEN
           !   lmix est le niveau de la couche ou w (wa_moy) est maximum
           !on rajoute le calcul de lmix_bis
-          if (zqla(ig, l)<1.e-10) THEN
+          IF (zqla(ig, l)<1.e-10) THEN
             lmix_bis(ig) = l + 1
           endif
@@ -648,5 +648,5 @@
       enddo
 
-      if (nbpb>0) THEN
+      IF (nbpb>0) THEN
         PRINT*, 'WARNING on tombe ', nbpb, ' x sur un pb pour l=', l, ' dans thermcell_plume'
       endif
@@ -667,5 +667,5 @@
     enddo
 
-    if (prt_level>=20) PRINT*, 'coucou calcul detr 470: ig, l', ig, l
+    IF (prt_level>=20) PRINT*, 'coucou calcul detr 470: ig, l', ig, l
     RETURN
   end
@@ -705,8 +705,8 @@
     REAL f0(ngrid)
     INTEGER lalim(ngrid)
-    integer lev_out                           ! niveau pour les print
-    integer nbpb
-
-    real alim_star_tot(ngrid)
+    INTEGER lev_out                           ! niveau pour les print
+    INTEGER nbpb
+
+    REAL alim_star_tot(ngrid)
 
     REAL ztva(ngrid, nlay)
@@ -747,10 +747,10 @@
     INTEGER ig, l, k
 
-    real zdz, zbuoy(ngrid, nlay), zalpha, gamma(ngrid, nlay), zdqt(ngrid, nlay), zw2m
-    real zbuoybis
-    real zcor, zdelta, zcvm5, qlbef, zdz2
-    real betalpha, zbetalpha
-    real eps, afact
-    logical Zsat
+    REAL zdz, zbuoy(ngrid, nlay), zalpha, gamma(ngrid, nlay), zdqt(ngrid, nlay), zw2m
+    REAL zbuoybis
+    REAL zcor, zdelta, zcvm5, qlbef, zdz2
+    REAL betalpha, zbetalpha
+    REAL eps, afact
+    LOGICAL Zsat
     LOGICAL active(ngrid), activetmp(ngrid)
     REAL fact_gamma, fact_epsilon, fact_gamma2, fact_epsilon2
@@ -767,5 +767,5 @@
 
     ! Initialisations des variables reeles
-    if (1==1) THEN
+    IF (1==1) THEN
       ztva(:, :) = ztv(:, :)
       ztva_est(:, :) = ztva(:, :)
@@ -819,5 +819,5 @@
     do l = 1, nlay - 1
       do ig = 1, ngrid
-        if (ztv(ig, l)> ztv(ig, l + 1) .and. ztv(ig, 1)>=ztv(ig, l)) THEN
+        IF (ztv(ig, l)> ztv(ig, l + 1) .AND. ztv(ig, 1)>=ztv(ig, l)) THEN
           alim_star(ig, l) = MAX((ztv(ig, l) - ztv(ig, l + 1)), 0.)  &
                   * sqrt(zlev(ig, l + 1))
@@ -829,5 +829,5 @@
     do l = 1, nlay
       do ig = 1, ngrid
-        if (alim_star_tot(ig) > 1.e-10) THEN
+        IF (alim_star_tot(ig) > 1.e-10) THEN
           alim_star(ig, l) = alim_star(ig, l) / alim_star_tot(ig)
         endif
@@ -848,5 +848,5 @@
       ! Le panache va prendre au debut les caracteristiques de l'air contenu
       ! dans cette couche.
-      if (active(ig)) THEN
+      IF (active(ig)) THEN
         ztla(ig, 1) = zthl(ig, 1)
         zqta(ig, 1) = po(ig, 1)
@@ -872,6 +872,6 @@
       do ig = 1, ngrid
         active(ig) = active(ig) &
-                &                 .and. zw2(ig, l)>1.e-10 &
-                &                 .and. f_star(ig, l) + alim_star(ig, l)>1.e-10
+                &                 .AND. zw2(ig, l)>1.e-10 &
+                &                 .AND. f_star(ig, l) + alim_star(ig, l)>1.e-10
       enddo
 
@@ -911,5 +911,5 @@
           w_est(ig, l + 1) = Max(0.0001, exp(-zw2fact) * (w_est(ig, l) - zdw2) + zdw2)
 
-          if (w_est(ig, l + 1)<0.) THEN
+          IF (w_est(ig, l + 1)<0.) THEN
             w_est(ig, l + 1) = zw2(ig, l)
           endif
@@ -923,5 +923,5 @@
 
       do ig = 1, ngrid
-        if (active(ig)) THEN
+        IF (active(ig)) THEN
           zw2m = max(0.5 * (w_est(ig, l) + w_est(ig, l + 1)), 0.1)
           zw2m = w_est(ig, l + 1)
@@ -942,5 +942,5 @@
           ! En dessous de lalim, on prend le max de alim_star et entr_star pour
           ! alim_star et 0 sinon
-          if (l<lalim(ig)) THEN
+          IF (l<lalim(ig)) THEN
             alim_star(ig, l) = max(alim_star(ig, l), entr_star(ig, l))
             entr_star(ig, l) = 0.
@@ -958,7 +958,7 @@
       !calcul de la vitesse verticale en melangeant Tl et qt du thermique
       !---------------------------------------------------------------------------
-      activetmp(:) = active(:) .and. f_star(:, l + 1)>1.e-10
-      do ig = 1, ngrid
-        if (activetmp(ig)) THEN
+      activetmp(:) = active(:) .AND. f_star(:, l + 1)>1.e-10
+      do ig = 1, ngrid
+        IF (activetmp(ig)) THEN
           Zsat = .FALSE.
           ztla(ig, l) = (f_star(ig, l) * ztla(ig, l - 1) + &
@@ -976,5 +976,5 @@
 
       do ig = 1, ngrid
-        if (activetmp(ig)) THEN
+        IF (activetmp(ig)) THEN
           ! on ecrit de maniere conservative (sat ou non)
           !          T = Tl +Lv/Cp ql
@@ -996,5 +996,5 @@
       enddo
 
-      if (prt_level>=20) PRINT*, 'coucou calcul detr 460: ig, l', ig, l
+      IF (prt_level>=20) PRINT*, 'coucou calcul detr 460: ig, l', ig, l
 
       !---------------------------------------------------------------------------
@@ -1004,5 +1004,5 @@
       nbpb = 0
       do ig = 1, ngrid
-        if (zw2(ig, l + 1)>0. .and. zw2(ig, l + 1)<1.e-10) THEN
+        IF (zw2(ig, l + 1)>0. .AND. zw2(ig, l + 1)<1.e-10) THEN
           !               stop 'On tombe sur le cas particulier de thermcell_dry'
           !               PRINT*,'On tombe sur le cas particulier de thermcell_plume'
@@ -1012,5 +1012,5 @@
         endif
 
-        if (zw2(ig, l + 1)<0.) THEN
+        IF (zw2(ig, l + 1)<0.) THEN
           linter(ig) = (l * (zw2(ig, l + 1) - zw2(ig, l))  &
                   - zw2(ig, l)) / (zw2(ig, l + 1) - zw2(ig, l))
@@ -1025,8 +1025,8 @@
         wa_moy(ig, l + 1) = sqrt(zw2(ig, l + 1))
 
-        if (wa_moy(ig, l + 1)>wmaxa(ig)) THEN
+        IF (wa_moy(ig, l + 1)>wmaxa(ig)) THEN
           !   lmix est le niveau de la couche ou w (wa_moy) est maximum
           !on rajoute le calcul de lmix_bis
-          if (zqla(ig, l)<1.e-10) THEN
+          IF (zqla(ig, l)<1.e-10) THEN
             lmix_bis(ig) = l + 1
           endif
@@ -1036,5 +1036,5 @@
       enddo
 
-      if (nbpb>0) THEN
+      IF (nbpb>0) THEN
         PRINT*, 'WARNING on tombe ', nbpb, ' x sur un pb pour l=', l, ' dans thermcell_plume'
       endif
@@ -1055,5 +1055,5 @@
     enddo
 
-    if (prt_level>=20) PRINT*, 'coucou calcul detr 470: ig, l', ig, l
+    IF (prt_level>=20) PRINT*, 'coucou calcul detr 470: ig, l', ig, l
   end
 END MODULE lmdz_thermcell_plume_6A
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_qsat.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_qsat.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_qsat.F90	(revision 5117)
@@ -24,5 +24,5 @@
 REAL Tbef(klon),DT(klon)
 REAL tdelta,qsatbef,zcor,qlbef,zdelta,zcvm5,dqsat,num,denom,dqsat_dT
-logical Zsat
+LOGICAL Zsat
 REAL RLvCp
 
@@ -49,5 +49,5 @@
 
 DO ig=1,klon
-   if (active(ig)) THEN
+   IF (active(ig)) THEN
                Tbef(ig)=ztemp(ig)
                zdelta=MAX(0.,SIGN(1.,RTT-Tbef(ig)))
@@ -65,6 +65,6 @@
 ! On ne condense pas mais on dit que le qsat est le qta
 DO ig=1,klon
-   if (active(ig)) THEN
-      if (0.<abs(DT(ig)).and.abs(DT(ig))<=DDT0) THEN
+   IF (active(ig)) THEN
+      IF (0.<abs(DT(ig)).AND.abs(DT(ig))<=DDT0) THEN
          zqsat(ig)=zqta(ig)
       endif
@@ -75,5 +75,5 @@
     afaire(:)=abs(DT(:))>DDT0
     do ig=1,klon
-               if (afaire(ig)) THEN
+               IF (afaire(ig)) THEN
                  Tbef(ig)=Tbef(ig)+DT(ig)
                  zdelta=MAX(0.,SIGN(1.,RTT-Tbef(ig)))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_wake.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_wake.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_wake.F90	(revision 5117)
@@ -771,5 +771,5 @@
   END DO
 #ifdef IOPHYS_WK
-  IF (.not.phys_sub) CALL iophys_ecrit('wape_a',1,'wape_a','J/kg',wape)
+  IF (.NOT.phys_sub) CALL iophys_ecrit('wape_a',1,'wape_a','J/kg',wape)
 #endif
 
@@ -870,5 +870,5 @@
 
   ! ------------------------------------------------------------------------
-    ! wk_adv is the logical flag enabling wake evolution in the time advance
+    ! wk_adv is the LOGICAL flag enabling wake evolution in the time advance
     ! loop
     DO i = 1, klon
@@ -1293,5 +1293,5 @@
 
 !!    IF (prt_level>=10) THEN
-    IF (prt_level>=10 .and. wk_adv(igout)) THEN
+    IF (prt_level>=10 .AND. wk_adv(igout)) THEN
       PRINT *, 'wake-4.3, th1(igout,k) ', (k,th1(igout,k), k=1,kupper(igout))
       PRINT *, 'wake-4.3, th2(igout,k) ', (k,th2(igout,k), k=1,kupper(igout))
@@ -1862,5 +1862,5 @@
 
 #ifdef IOPHYS_WK
-    IF (.not.phys_sub) CALL iophys_ecrit('wape_b',1,'wape_b','J/kg',wape)
+    IF (.NOT.phys_sub) CALL iophys_ecrit('wape_b',1,'wape_b','J/kg',wape)
 #endif
   IF (prt_level>=10) THEN
@@ -2005,5 +2005,5 @@
   END DO
 #ifdef IOPHYS_WK
-  IF (.not.phys_sub) CALL iophys_ecrit('wape2_a',1,'wape2_a','J/kg',wape2)
+  IF (.NOT.phys_sub) CALL iophys_ecrit('wape2_a',1,'wape2_a','J/kg',wape2)
 #endif
 
@@ -2023,5 +2023,5 @@
         !! print *,'wake, sum_half_dth(i), sum_dth(i) ', &
         !!                sum_half_dth(i), sum_dth(i)
-        IF ((hw0(i) < 1.) .or. (dthmin(i) >= -delta_t_min) ) THEN
+        IF ((hw0(i) < 1.) .OR. (dthmin(i) >= -delta_t_min) ) THEN
           wape2(i) = -1.
           !! print *,'wake, rej 1'
@@ -2037,5 +2037,5 @@
   END IF
 #ifdef IOPHYS_WK
-  IF (.not.phys_sub) CALL iophys_ecrit('wape2_b',1,'wape2_b','J/kg',wape2)
+  IF (.NOT.phys_sub) CALL iophys_ecrit('wape2_b',1,'wape2_b','J/kg',wape2)
 #endif
 
@@ -2083,5 +2083,5 @@
       END IF
 #ifdef IOPHYS_WK
-  IF (.not.phys_sub) CALL iophys_ecrit('cstar2',1,'cstar2','J/kg',cstar2)
+  IF (.NOT.phys_sub) CALL iophys_ecrit('cstar2',1,'cstar2','J/kg',cstar2)
 #endif
     END IF  ! (ok_qx_qw(i))
@@ -2119,5 +2119,5 @@
     IF (iflag_wk_pop_dyn >= 3) THEN
 #ifdef IOPHYS_WK
-      IF (.not.phys_sub) THEN
+      IF (.NOT.phys_sub) THEN
        CALL iophys_ecrit('fip',1,'fip','J/kg',fip)
        CALL iophys_ecrit('hw',1,'hw','J/kg',hw)
@@ -2157,5 +2157,5 @@
        CALL iophys_ecrit('d_asig_death2',1,'d_asig_death2','m',d_asig_death2)
        CALL iophys_ecrit('d_asig_bnd2',1,'d_asig_bnd2','m',d_asig_bnd2)
-      ENDIF  ! (.not.phys_sub)
+      ENDIF  ! (.NOT.phys_sub)
 #endif
     ENDIF  ! (iflag_wk_pop_dyn >= 3)
@@ -2264,5 +2264,5 @@
   ENDIF
 #ifdef IOPHYS_WK
-  IF (.not.phys_sub) CALL iophys_ecrit('wape_c',1,'wape_c','J/kg',wape)
+  IF (.NOT.phys_sub) CALL iophys_ecrit('wape_c',1,'wape_c','J/kg',wape)
 #endif
 
@@ -2610,9 +2610,9 @@
     END DO
     
-    if (abs(iflag_wk_new_ptop) == 1 ) THEN
+    IF (abs(iflag_wk_new_ptop) == 1 ) THEN
         DO k = 2, klev+1
            Do i = 1, klon
               IF (wk_adv(i)) THEN
-                 if (k<=k_ptop_provis(i)) THEN
+                 IF (k<=k_ptop_provis(i)) THEN
                       ddd=dth(i,k-1)*(ph(i,k-1) - max(ptop_provis(i),ph(i,k)))
                       !ddd=dth(i,k-1)*(ph(i,k-1) - ph(i,k))
@@ -2636,8 +2636,8 @@
               dthmin(i)=min(dthmin(i),dth(i,k))
               ddd=dth(i,k)*(ph(i,k)-ph(i,k+1))
-              if (dthmin(i)<0.) THEN
-                  if (k>=k_ptop_provis(i)) THEN
+              IF (dthmin(i)<0.) THEN
+                  IF (k>=k_ptop_provis(i)) THEN
                       ddd=0.
-                  else if (dth(i,k)>=0.) THEN
+                  ELSE IF (dth(i,k)>=0.) THEN
                       ddd=0.
                       k_ptop_provis(i)=k+1
@@ -2649,5 +2649,5 @@
 
         DO i = 1, klon
-           if ( k_ptop_provis(i)==klev+1 .or. .not. wk_adv(i)) THEN
+           IF ( k_ptop_provis(i)==klev+1 .OR. .NOT. wk_adv(i)) THEN
                 k_ptop_provis(i)=1
            endif
@@ -2661,5 +2661,5 @@
     ! On se limite ?? des poches avec integrale dT * dp < -wk_int_delta_t_min
     do i=1,klon
-          if (int_dth(i,k_ptop_provis(i)) > -wk_int_delta_t_min .or. k_ptop_provis(i)==1) THEN
+          IF (int_dth(i,k_ptop_provis(i)) > -wk_int_delta_t_min .OR. k_ptop_provis(i)==1) THEN
           !if (1==0) THEN
              wk_active(i)=.FALSE.
@@ -2695,5 +2695,5 @@
            !PRINT*, ipas,'xxx1, int_dth(i,ktop1(i)), frac_int_dth(i), int_dth(i,ktop1(i)+1) ',ktop1
            ddd=int_dth(i,ktop1(i)+1)-int_dth(i,ktop1(i))
-           if (ddd==0.) THEN
+           IF (ddd==0.) THEN
               omega(i)=0.
            else
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_wake_ini.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_wake_ini.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_wake_ini.F90	(revision 5117)
@@ -103,7 +103,7 @@
 
   USE lmdz_ioipsl_getin_p, ONLY: getin_p
-  real eps
-  integer, intent(in) :: prt_lev
-  real, intent(in) :: rg_in,rd_in,rv_in
+  REAL eps
+  INTEGER, INTENT(IN) :: prt_lev
+  REAL, INTENT(IN) :: rg_in,rd_in,rv_in
 
   smallestreal=tiny(smallestreal)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lsc_scav.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lsc_scav.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lsc_scav.F90	(revision 5117)
@@ -187,5 +187,5 @@
         beta=beta/zmass(i,k)/oliq
         beta=MAX(0.,beta)
-      ENDIF ! (iflag_lscav .eq. 4)
+      ENDIF ! (iflag_lscav .EQ. 4)
       beta_v1(i,k)=beta    !! for output
 
@@ -253,5 +253,5 @@
 !                +d_tr_bcscav(i,k,it)*(paprs(i,k)-paprs(i,k+1))/RG  &
 !                +d_tr_evap(i,k,it)*(paprs(i,k)-paprs(i,k+1))/RG
-!      IF(it.eq.3) WRITE(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)'),&
+!      IF(it.EQ.3) WRITE(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)'),&
 !      k,'lsc conserv ',conserv,'insc',d_tr_insc(i,k,it),'bc',d_tr_bcscav(i,k,it),'ev',d_tr_evap(i,k,it)
 !       ENDDO
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/minmaxqfi.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/minmaxqfi.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/minmaxqfi.F90	(revision 5117)
@@ -26,5 +26,5 @@
      IF (jbad>0) THEN
         WRITE(*,*)comment, "  k = ", k, "jbad > 0"
-        if (prt_level >= 1) THEN
+        IF (prt_level >= 1) THEN
            DO i = 1, jbad
               WRITE(*,*) "i,q=", jadrs(i), zq(jadrs(i),k)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/moy_undefSTD.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/moy_undefSTD.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/moy_undefSTD.F90	(revision 5117)
@@ -6,5 +6,5 @@
   USE dimphy
   USE phys_state_var_mod
-  USE wxios, ONLY: missing_val_xios => missing_val, using_xios
+  USE lmdz_wxios, ONLY: missing_val_xios => missing_val, using_xios
  
   USE phys_cal_mod, ONLY: mth_len
